## org.eclipse.datatools.modelbase.sql.statements
Interface SQLStatement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CallStatement, QueryChangeStatement, QueryDeleteStatement, QueryInsertStatement, QueryMergeStatement, QuerySelectStatement, QueryStatement, QueryUpdateStatement, SQLConnectionStatement, SQLControlStatement, SQLDataChangeStatement, SQLDataStatement, SQLDiagnosticsStatement, SQLDynamicStatement, SQLSchemaStatement, SQLSessionStatement, SQLStatementDefault, SQLTransactionStatement

    public interface SQLStatement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'SQL Statement'. Reference: 5WD-02-Foundation-2002-12 4.33 SQL-statements

See Also:
  `SQLStatementsPackage.getSQLStatement()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)